Browser Check: Browser Not Supported

If the browser check results indicate that your browser is "non-validated or unsupported" (indicated by a red "X" in the first item on the results pop-up window), you will need to install a supported browser.

Follow the steps below to install a supported browser and then use that browser to access Blackboard Vista.

1. You will need to know two things to correctly identify and install a supported browser for use with Blackboard Vista - your computer operating system and the version of Blackboard you are using.

a. To determine your operating system:
    • On a Windows PC, right-click on the MyComputer icon on your screen and select the "General" tab.
    • On a Macintosh, click the Apple in the top right of the screen and then select "About this Mac".

b. Bellevue College uses Blackboard Vista version 8.0.6.

2. Currently, Internet Explorer 8.0 and 9.0, plus Firefox 11.0 are supported browsers for your PC. Safari and Firefox are supported for Mac's.

3. Use a search engine to find the browser online, and then download. Follow the installation instructions from there.